require_relative 'player'
module StudioGame
  class BerserkPlayer < Player

    def initialize(name, health=100)
      super(name, health)
      @w00t_count = 0
      @initial_health = health
    end

    def w00t
      super
      @w00t_count += 1
      puts "#{@name} is berserk!" if berserk?
    end

    def blam
      berserk? ? w00t : super
    end

    def berserk?
      @w00t_count > 5
    end
  end

  if __FILE__ == $0
    berserker = BerserkPlayer.new("berserk",50)

    6.times {berserker.w00t}
    puts "this is my health: #{berserker.health}"
    puts berserker.berserk?
    2.times {berserker.blam}

    puts berserker.health
  end
end
