require_relative 'die'
require_relative 'player'
require_relative 'treasure_trove'
require_relative 'loaded_die'

module StudioGame
  module GameTurn

    def self.take_turn(p)
      dice = LoadedDie.new
      case dice.roll
      when 1..2
        p.blam
      when 3..4
        puts "#{p.name} was skipped."
      else
        p.w00t
      end

      treasure = TreasureTrove.random
      p.found_treasure(treasure)
    end
  end
end
